{% extends 'base.html.twig' %}

{% block body %}
    <h1>Posts list</h1>

    <table>
        <thead>
            <tr>
                <th>Idpost</th>
                <th>Nombre</th>
                <th>Descripcion</th>
                <th>Imagen</th>
                <th>Fechapost</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for post in posts %}
            <tr>
                <td><a href="{{ path('post_show', { 'idPost': post.idPost }) }}">{{ post.idPost }}</a></td>
                <td>{{ post.nombre }}</td>
                <td>{{ post.descripcion }}</td>
                <td>{{ post.imagen }}</td>
                <td>{% if post.fechaPost %}{{ post.fechaPost|date('Y-m-d H:i:s') }}{% endif %}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('post_show', { 'idPost': post.idPost }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('post_edit', { 'idPost': post.idPost }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('post_new') }}">Create a new post</a>
        </li>
    </ul>
{% endblock %}
